Subject: Undeliverable: Här är säsongen 2024för Breeders Course

From: Postmaster <[email-masked]>
Date: Wed, 20 Mar 2024 12:15:53 +0000

This is the mail system at host mx4.pub.mailpod10-cph3.one.com.

I'm sorry to have to inform you that your message could not
be delivered to one or more recipients. It's attached below.

<[email-masked]> failed: DNS error: Permanent DNS error resolving
 stallrolandz.se (NXDOMAIN)